FragAPI
API Endpoints

List Transactions

GET
/v1/transactions

Fragment transactions list

Authorization

AuthorizationBearer <token>

User session scheme

In: header

Scope: transactions:read

Query Parameters

page?Page

Page number, defaults to 1.

limit?Limit

Limit of items in a page, defaults to 10. Maximum is 100.

sorting?array<>|

Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/transactions"
{  "items": [    {      "createdAt": "2019-08-24T14:15:22Z",      "modifiedAt": "2019-08-24T14:15:22Z",      "amount": 0,      "reason": "string",      "recipient": "string",      "recipientUsername": "string",      "starsAmount": 0,      "premiumMonths": 0,      "tonTransaction": {        "hash": "string"      }    }  ],  "pagination": {    "totalCount": 0,    "maxPage": 0  }}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}